schemaVersion: "1.0"
pattern:
  id: "302b0fa3c5c3d1d17e9b1004"
  className: "ch.nevis.admin.v4.plugin.nevisauth.patterns2.GenericAuthenticationStep"
  name: "FIDO2_Authentication"
  label: "FIDO2"
  notes: "Taken from the pattern FIDO2 Authentication (SAML IDP FIDO2 Authentication)\
    \ and changed only one line in the fido2_auth.groovy script.\n\n<AuthState name=\"\
    Auth_Realm_Main_IDP_TEMP_FIDO2AUTH\" class=\"ch.nevis.auth.fido.fido2.authstate.Fido2AuthState\"\
    \ final=\"false\">\n            <ResultCond name=\"cancelled\" next=\"Auth_Realm_Main_IDP_Auth_Failed\"\
    />\n            <ResultCond name=\"ok\" next=\"Auth_Realm_Main_IDP_CheckLoa\"\
    />\n            <Response value=\"AUTH_CONTINUE\">\n                <Gui name=\"\
    fido2_auth_std\" label=\"title.login.fido2\">\n                    <GuiElem name=\"\
    info\" type=\"info\" label=\"info.login.fido2\"/>\n                    <GuiElem\
    \ name=\"username\" type=\"hidden\" value=\"#{session['ch.adnovum.nevisidm.user.extId']\
    \ != null ? session['ch.adnovum.nevisidm.user.extId'] : session['ch.nevis.idm.User.extId']\
    \ != null ? session['ch.nevis.idm.User.extId'] : request.getUserId() != null ?\
    \ request.getUserId() : notes['userid']}\"/>\n                </Gui>\n       \
    \         <Arg name=\"fido2AuthenticationOptionsPath\" value=\"/nevisfido/fido2/attestation/options\"\
    />\n                <Arg name=\"fido2AuthenticationPath\" value=\"/nevisfido/fido2/assertion/result\"\
    />\n                <Arg name=\"fido2StatusServicePath\" value=\"/nevisfido/fido2/status\"\
    />\n                <Arg name=\"fido2UserVerification\" value=\"required\"/>\n\
    \            </Response>\n            <property name=\"clientResult\" value=\"\
    ${inargs:cancel_fido2:^true$:cancelled}\"/>\n            <property name=\"fido2UserName\"\
    \ value=\"${inargs:o.username.v}\"/>\n            <property name=\"fido2ServerUrl\"\
    \ value=\"https://fido2:9443/nevisfido/\"/>\n        </AuthState>"
  properties:
    authStatesFile: "res://302b0fa3c5c3d1d17e9b1004#authStatesFile"
    parameters: "var://authentication-parameters"
    onSuccess:
    - "pattern://1a7583c6caa3b5c36599b25e"
    onFailure:
    - "pattern://af4ec934e8efbef422f03926"
    nextSteps:
    - "pattern://e3cac41e75980361d7d26bde"
    resources: "res://302b0fa3c5c3d1d17e9b1004#resources"
